<?php

/**
 * @file
 * Template overrides as well as (pre-)process and alter hooks for the
 * Platon theme.
 */

/**
 * Implements hook_preprocess_page().
 */
function platon_preprocess_page(&$vars) {
  global $user;
  $vars['page']['admin_shortcuts'] = FALSE; // Prevent Notices.

  if (!empty($user->uid)) {
    $vars['secondary_nav'] = array_merge_recursive(array('my_account' => array(
        '#theme' => 'menu_link__user_menu',
        '#title' => t("welcome @user", array('@user' => $user->name)),
        '#href' => 'user',
        '#attributes' => array(
          'class' => array('first', 'my-account', 'user-name')
        ),
        '#localized_options' => array('alter' => TRUE),
        '#below' => array(),
      )), $vars['secondary_nav']);
  }

  if (!empty($vars['secondary_nav'])) {
    $vars['page']['header'][] = render($vars['secondary_nav']);
  }
}

/**
 * Implements hook_js_alter().
 * Deactivate this for now. Platon depends on jQuery Update to function correctly, though.
 * This is because Open Framework uses Bootstrap.
 */
function _platon_js_alter(&$javascript) {
  $path = drupal_get_path('theme', 'open_framework');
  $migrate_file = $path . '/js/jquery-migrate-1.1.1.min.js';
  if (isset($javascript[$migrate_file])) {
    unset($javascript[$migrate_file]);
  }
}